<?php

/* Start session */
if($startSession == TRUE){ session_start();}

/* Config file */
include('config.php');

/* Check for submition */
if($_POST['submitID'] == 1){
	
	/* Connect to database */
	if($connectDatabase == TRUE){$action=TRUE;include('connect.php');}
		
	/* sanitize and check info */
	$userName = mysql_real_escape_string($_POST['userName'],$dbc);
	$password = mysql_real_escape_string($_POST['password'],$dbc);
	
	if($userName == NULL) { $message = 'Please enter username.';}
	if($message == NULL && $password == NULL){ $message = 'Please enter password.';}
	
	if($message == NULL)
	{				
		$userQuery = mysql_fetch_row(mysql_query("SELECT COUNT(*) FROM " . $tableName .
		" WHERE `" . $userNameField . "`='$userName' AND `" . $userPasswordField . "`='$password'"));		
		
		/* If usercount is more than 0 -> ok */
		if($userQuery[0] > 0){
			/* Disconnect from database */
			if($connectDatabase == TRUE){$action=FALSE;include('connect.php');}
	                
                        
                        session_start();
			$_SESSION['isLoged'] = 'yes';
			$_SESSION['userName'] = $userName;
			
			/* add cookies ?*/
			/* expire in 1 hour */
			if($useCookies == TRUE)
			{
				setcookie("isLoged", 'yes', time()+logedInFor, "/", ".$domainName", 1);
				setcookie("userName", $userName, time()+logedInFor, "/", ".$domainName", 1);
			}

			/* Redirect to login page */
			header("Location: $loginPage");
			exit();
		} else {
			$message = 'Invalid username and/or password!';
		}
	}
	/* Disconnect from database */
	if($connectDatabase == TRUE){$action=FALSE;include('connect.php');}
}
?>
<?php
include('header.php');
?>
<!--
/*
This script was downloaded at:
LightPHPScripts.com
Please support us by visiting
out website and letting people
know of it.
Produced under: LGPL
*/
-->
<?php

/* Display error messages */
if($message != NULL){?>
<table >
  <tr>
    <td><?=$message;?></td>
  </tr>
</table>
<?php } ?>
<form action="<? echo $_SERVER['PHP_SELF'];?>" method="post" name="login" id="login" style="display:inline;">
  <table>
    <tr > 
      <td colspan="2">Please log in:</td>
    </tr>
    <tr> 
      <td width="47%">Username</td>
      <td width="53%"><input name="userName" type="text" id="userName"></td>
    </tr>
    <tr> 
      <td>Password</td>
      <td><input name="password" type="password" id="password"></td>
    </tr>
    <tr> 
      <td colspan="2">
          <input name="Submit" type="submit" id="Submit" value="Sign-In">
          <input name="submitID" type="hidden" id="submitID" value="1">
</td>
    </tr>
    <tr>
      <td colspan="2"></td>
    </tr>
  </table>
</form>
<?php
include('footer.php');
?>
